---
title: Configuration Management
parent_breadcrumbs:
  - title: Security Keywords
    url: keywords
---

# Configuration Management

## Definition

**Configuration Management** in DevSecOps is the process of systematically handling changes to a system in a way that maintains integrity over time. It involves the management and tracking of all aspects of software and hardware, ensuring that they are known, documented, and consistent. Configuration Management aims to automate the delivery and operation of IT services to improve reliability and efficiency.

## Related Terms

- **Version Control:** The practice of tracking and managing changes to software code.
- **Infrastructure as Code (IaC):** The management of infrastructure (networks, virtual machines, load balancers, and connection topology) in a descriptive model, using the same versioning as DevOps team uses for source code.
- **Continuous Integration/Continuous Deployment (CI/CD):** A method to frequently deliver apps to customers by introducing automation into the stages of app development.
- **Automation:** The use of technology to perform tasks with reduced human assistance.

